Subject: Re: bug#15319: Problem with loading emacs session

From: Glenn Morris <[email-masked]>
Date: Wed, 09 Oct 2013 13:26:33 -0400

Petr Hracek wrote:

> I have tried your proposal but neither storing desktop file into ~/
> nor into ~/.emacs.d/ helps me.
>
> When I am in some directory like ~/abc/def
> and open emacs and write some character and press M-x desktop-save
> then when I open the emacs (after closing) any character is visible on
> the emacs screen (GUI)

It only restores _files_ that are open at the time you use M-x desktop-save.
This feature has nothing at all to do with the scratch buffer.

The only thing that I think should be changed here is that M-x
desktop-save should not default to saving in PWD, as it does now, but to
~/.emacs.d/.